overlay = class:new() 

function overlay:init()
	self.active = false		-- controls if we are visible and intercepting input
	self.dir = 0
	self.y = 480
	self.text = ""
end

function overlay:update(dt)
	if self.active and self.dir ~= 0 then 
		if self.y < 0 then		-- we're done moving up
			self.dir = 0
			self.y = 0
		elseif self.y > 480 then	-- we're done moving down, time to hide
			self.y = 480
			self.active = false
			self.text = ""
		else		-- we're animating
			self.y = self.y + (480 * dt * self.dir)
		end
	end
end

function overlay:draw()
	if self.active then
		love.graphics.setColor(0,0,0, 196)
		love.graphics.rectangle("fill", 0, self.y, 640, 480)
		love.graphics.setColor(255,255,255,255)
		love.graphics.printf(self.text, 20, self.y + 20, 600, "left")
	end
end

function overlay:show(txt)
	self.dir = -1
	self.active = true
	self.text = txt.."\n\nPress any key to return."
end

function overlay:hide()
	self.dir = 1
end
