saver = class:new() 

function saver:init()
	love.filesystem.setIdentity("dye")
	if love.filesystem.exists("save.lua") then	-- check for a save file
		love.filesystem.load("save.lua")()		-- load the save data
	else 
		hiscore = {1,4,10,21,23,27,31,36,42}	-- some early high scores
		self:saveScores()
	end
end

function saver:saveScores()
	local data = "hiscore = {\n"
	for i=1, #colors do
		data = data .. "	"..hiscore[i]..";\n"
	end
	data = data .. "}"
	local file = love.filesystem.newFile("save.lua")
	file:open('w')
	file:write(data)
	file:close()
end

function saver:loadScores()
	local data = ""
	for i=1, #colors do
		data = data .. "\nLevel "..i..": "..hiscore[i]
	end
	return data
end

function saver:saveMap(grid)
	if not love.filesystem.exists("maps") then
		love.filesystem.mkdir("maps")
	end
	local filename = "maps/"..os.time()..".lua"
	local data = ""
	for x=1, 15 do
		data = data .. "{ "
		for y=1, 15 do
			if grid[x][y] == 0 then
				data = data .. "1; "
			else
				data = data .. grid[x][y].."; "
			end
		end
		data = data .. "};\n"
	end
	local file = love.filesystem.newFile(filename)
	file:open('w')
	file:write(data)
	file:close()
	return filename
end

function saver:loadMap(name)
	local chunk, size = love.filesystem.read("maps/"..name..".lua")	-- read file contents
	loadstring("loaded = {"..chunk.."}")()		-- make valid and execute
end

function saver:listMaps()
	local array = {}
	for i,file in pairs(love.filesystem.enumerate("maps")) do
		if file:find('%.lua$') then
			local filename = string.sub(file, 1, -5)		-- remove file extension
			table.insert(array, filename)
		end
	end
	return array
end
