victory = class:new()

function victory:init(score)
	self.squares = {}
	self.message = " Congratulations! \n You won in ".. score .." moves! \n\n "
	if score < hiscore[used] then	-- they beat the high score
		hiscore[used] = score
		fs:saveScores()
		self.message = self.message .. "You beat your high score! \n "
	end
	self.message = self.message .. "The high score for level ".. used .." is "..hiscore[used]..". \n\n "
	self.message = self.message .. "Press any key to play again. "
	for i=1, 8 do
		self:newSquare(i)
	end
end

function victory:update(dt)
	for i=1, #self.squares do
		-- move the square, and if needed, reposition them at the bottom agani
		self.squares[i].x = self.squares[i].x + (math.cos(self.squares[i].angle) * dt * 256)
		self.squares[i].y = self.squares[i].y - (math.sin(self.squares[i].angle) * dt * 256)
		if self.squares[i].x < -32 or self.squares[i].x > 640 or self.squares[i].y < -32 then
			self:newSquare(i)
		end
	end
end

function victory:draw()
	love.graphics.setColor(255, 255, 255)
	love.graphics.draw(logo, 160, 0, 0, 10, 10)
	love.graphics.printf(self.message, 0, 240, 640, "center")
	for i=1, #self.squares do
		love.graphics.setColor(colors[self.squares[i].color])
		love.graphics.rectangle("fill", self.squares[i].x, self.squares[i].y, 32, 32)
	end
end

function victory:keypressed(key, unicode)
	sfx:play("confirm")
	scene = menu:new()
end

function victory:mousereleased(x, y, button)
	sfx:play("confirm")
	scene = menu:new()
end

function victory:newSquare(id)
	self.squares[id] = {
		x = 280 + math.random(1, 40),	-- somewhere in the middle-ish
		y = 480,
		color = math.random(1, #colors),
		angle = math.rad(math.random(1, 180))
	}
end
